//= require cutlass/helpers
//= require cutlass/html_generation
document.addEventListener("turbolinks:load", function() {
  if(Cutlass.hasntRun()){
    Cutlass.generateAllHTML()
  }
  Cutlass.addFlag();
  Cutlass.animateFields()

  //TEXT INPUTS =========================================================

  $(document).on('focus', '.Cutlass-input-text', function(){
    Cutlass.toggleInputActive( $(this), 'focus' );
  })

  $(document).on('blur', '.Cutlass-input-text', function(){
    Cutlass.toggleInputActive( $(this), 'blur' );
  })

  $('.Cutlass-input-text').each(function(){
    if($(this).val().length){
      Cutlass.makeActive($(this));
    }
  })

  //SELECT BOXES ========================================================

  $(document).on('change', '.Cutlass-input-select, .Cutlass-input-select--large ', function(){
    Cutlass.toggleSelectActive($(this))
  })



  $('.Cutlass-input-select').each(function(){
    Cutlass.toggleSelectActive($(this))
  })

})
