//HELPERS ========================================
var Cutlass = {}

Cutlass.toggleInputActive = function($el, event){
  if(event == 'focus'){
    Cutlass.makeActive($el);
  }
  else if( !$el.val().length ){ //blur event
    Cutlass.removeActive($el);
  }
}

Cutlass.toggleSelectActive = function($select){
  if( $select.val() ){
    Cutlass.makeActive($select);
  }
  else{
    Cutlass.removeActive($select);
  }
}
Cutlass.makeActive = function($input){
  $input.parent().addClass('s-active');
}
Cutlass.removeActive = function($input){
  $input.parent().removeClass('s-active');
}

Cutlass.animateFields = function(){
  //some of the inputs get hidden, so we show them all here.
  $('.Cutlass-input-text, .Cutlass-input-select, .Cutlass-input-select--large, .Cutlass-input-radio, .Cutlass-input-toggler, .Cutlass-input-link').addClass('s-shown');

  //Make the hidden fields visible first
  $('.Cutlass-item').not(':visible').addClass('s-shown');
  //Then animate in the ones that are visible one by one.
  $('.Cutlass-item').filter(':visible').each(function(i){
    var $el = $(this)
    setTimeout(function(){
      $el.addClass('s-shown')
    }, i*100)
  })
}
